CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Gitlab » Gitlab : Security Vulnerabilities

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
351 CVE-2019-19261 918 2020-01-03 2020-01-09
6.8
None Remote Medium Not required Partial Partial Partial
GitLab Enterprise Edition (EE) 6.7 and later through 12.5 allows SSRF.
352 CVE-2019-19260 2020-01-03 2020-08-24
5.5
None Remote Low ??? Partial Partial None
GitLab Community Edition (CE) and Enterprise Edition (EE) through 12.5 has Incorrect Access Control (issue 2 of 2).
353 CVE-2019-19259 639 2020-01-03 2020-01-06
4.0
None Remote Low ??? None Partial None
GitLab Enterprise Edition (EE) 11.3 and later through 12.5 allows an Insecure Direct Object Reference (IDOR).
354 CVE-2019-19258 200 +Info 2020-01-03 2021-07-21
5.0
None Remote Low Not required Partial None None
GitLab Enterprise Edition (EE) 10.8 and later through 12.5 has Incorrect Access Control.
355 CVE-2019-19257 200 +Info 2020-01-03 2021-07-21
5.0
None Remote Low Not required Partial None None
GitLab Community Edition (CE) and Enterprise Edition (EE) through 12.5 has Incorrect Access Control (issue 1 of 2).
356 CVE-2019-19256 200 +Info 2020-01-03 2020-01-06
5.0
None Remote Low Not required Partial None None
GitLab Enterprise Edition (EE) 12.2 and later through 12.5 has Incorrect Access Control.
357 CVE-2019-19255 2020-01-03 2020-08-24
4.0
None Remote Low ??? Partial None None
GitLab Enterprise Edition (EE) 12.3 and later through 12.5 has Incorrect Access Control.
358 CVE-2019-19254 200 +Info 2020-01-03 2020-01-06
5.0
None Remote Low Not required Partial None None
GitLab Community Edition (CE) and Enterprise Edition (EE). 9.6 and later through 12.5 has Incorrect Access Control.
359 CVE-2019-19088 22 Dir. Trav. 2020-01-03 2020-01-06
7.5
None Remote Low Not required Partial Partial Partial
Gitlab Enterprise Edition (EE) 11.3 through 12.4.2 allows Directory Traversal.
360 CVE-2019-19087 732 2020-01-03 2020-08-24
4.0
None Remote Low ??? Partial None None
Gitlab Enterprise Edition (EE) before 12.5.1 has Insecure Permissions (issue 2 of 2).
361 CVE-2019-19086 732 2020-01-03 2020-08-24
4.0
None Remote Low ??? Partial None None
Gitlab Enterprise Edition (EE) before 12.5.1 has Insecure Permissions (issue 1 of 2).
362 CVE-2019-18463 732 2019-11-26 2019-12-03
4.0
None Remote Low ??? Partial None None
An issue was discovered in GitLab Community and Enterprise Edition through 12.4. It has Insecure Permissions (issue 4 of 4).
363 CVE-2019-18462 269 2019-11-26 2021-07-21
4.0
None Remote Low ??? Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 11.3 through 12.4. It has Insecure Permissions.
364 CVE-2019-18461 200 +Info 2019-11-26 2019-12-03
4.0
None Remote Low ??? Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 11.3 through 12.3 when a sub group epic is added to a public group. It has Incorrect Access Control.
365 CVE-2019-18460 200 +Info 2019-11-26 2019-11-27
5.0
None Remote Low Not required Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 8.15 through 12.4 in the Comments Search feature provided by the Elasticsearch integration. It has Incorrect Access Control.
366 CVE-2019-18459 732 2019-11-26 2019-12-03
5.0
None Remote Low Not required Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 11.3 to 12.3 in the protected environments feature. It has Insecure Permissions (issue 3 of 4).
367 CVE-2019-18458 281 2019-11-26 2019-11-27
4.0
None Remote Low ??? None Partial None
An issue was discovered in GitLab Community and Enterprise Edition through 12.4. It has Insecure Permissions (issue 2 of 4).
368 CVE-2019-18457 281 2019-11-26 2019-11-27
6.5
None Remote Low ??? Partial Partial Partial
An issue was discovered in GitLab Community and Enterprise Edition 11.8 through 12.4 when handling Security tokens.. It has Insecure Permissions.
369 CVE-2019-18456 732 2019-11-26 2020-08-24
5.0
None Remote Low Not required Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 8.17 through 12.4 in the Search feature provided by Elasticsearch integration.. It has Insecure Permissions (issue 1 of 4).
370 CVE-2019-18455 835 2019-11-26 2019-11-27
5.0
None Remote Low Not required None None Partial
An issue was discovered in GitLab Community and Enterprise Edition 11 through 12.4 when building Nested GraphQL queries. It has a large or infinite loop.
371 CVE-2019-18454 79 XSS 2019-11-26 2019-11-27
4.3
None Remote Medium Not required None Partial None
An issue was discovered in GitLab Community and Enterprise Edition 10.5 through 12.4 in link validation for RDoc wiki pages feature. It has XSS.
372 CVE-2019-18453 732 2019-11-26 2019-11-27
4.0
None Remote Low ??? None Partial None
An issue was discovered in GitLab Community and Enterprise Edition 11.6 through 12.4 in the add comments via email feature. It has Insecure Permissions.
373 CVE-2019-18452 732 2019-11-26 2019-11-27
5.0
None Remote Low Not required Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 11.3 through 12.4 when moving an issue to a public project from a private one. It has Insecure Permissions.
374 CVE-2019-18451 601 2019-11-26 2019-11-27
5.8
None Remote Medium Not required Partial Partial None
An issue was discovered in GitLab Community and Enterprise Edition 10.7.4 through 12.4 in the InternalRedirect filtering feature. It has an Open Redirect.
375 CVE-2019-18450 732 2019-11-26 2019-11-27
4.0
None Remote Low ??? Partial None None
An issue was discovered in GitLab Community and Enterprise Edition before 12.4 in the Project labels feature. It has Insecure Permissions.
376 CVE-2019-18449 732 2019-11-26 2020-08-24
4.0
None Remote Low ??? Partial None None
An issue was discovered in GitLab Community and Enterprise Edition before 12.4 in the autocomplete feature. It has Insecure Permissions (issue 2 of 2).
377 CVE-2019-18448 200 +Info 2019-11-26 2021-07-21
4.0
None Remote Low ??? Partial None None
An issue was discovered in GitLab Community and Enterprise Edition before 12.4. It has Incorrect Access Control.
378 CVE-2019-18447 732 2019-11-26 2019-11-27
4.0
None Remote Low ??? Partial None None
An issue was discovered in GitLab Community and Enterprise Edition before 12.4. It has Insecure Permissions.
379 CVE-2019-18446 732 2019-11-26 2019-11-27
5.5
None Remote Low ??? None Partial Partial
An issue was discovered in GitLab Community and Enterprise Edition 8.15 through 12.4. It has Insecure Permissions (issue 1 of 2).
380 CVE-2019-16170 2019-09-16 2020-08-24
5.5
None Remote Low ??? Partial Partial None
An issue was discovered in GitLab Enterprise Edition 11.x and 12.x before 12.0.9, 12.1.x before 12.1.9, and 12.2.x before 12.2.5. It has Incorrect Access Control.
381 CVE-2019-15740 200 +Info 2019-09-16 2019-09-17
5.0
None Remote Low Not required Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 7.9 through 12.2.1. EXIF Geolocation data was not being removed from certain image uploads.
382 CVE-2019-15739 79 XSS 2019-09-16 2019-09-17
4.3
None Remote Medium Not required None Partial None
An issue was discovered in GitLab Community and Enterprise Edition 8.1 through 12.2.1. Certain areas displaying Markdown were not properly sanitizing some XSS payloads.
383 CVE-2019-15738 200 +Info 2019-09-16 2019-09-17
5.0
None Remote Low Not required Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 12.0 through 12.2.1. Under certain conditions, merge request IDs were being disclosed via email.
384 CVE-2019-15737 2019-09-16 2020-08-24
6.4
None Remote Low Not required Partial Partial None
An issue was discovered in GitLab Community and Enterprise Edition through 12.2.1. Certain account actions needed improved authentication and session management.
385 CVE-2019-15736 770 DoS 2019-09-16 2020-08-24
5.0
None Remote Low Not required None None Partial
An issue was discovered in GitLab Community and Enterprise Edition through 12.2.1. Under certain circumstances, CI pipelines could potentially be used in a denial of service attack.
386 CVE-2019-15734 200 +Info 2019-09-16 2019-09-18
4.0
None Remote Low ??? Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 8.6 through 12.2.1. Under very specific conditions, commit titles and team member comments could become viewable to users who did not have permission to access these.
387 CVE-2019-15733 200 +Info 2019-09-16 2019-12-17
4.0
None Remote Low ??? Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 7.12 through 12.2.1. The specified default branch name could be exposed to unauthorized users.
388 CVE-2019-15732 200 Bypass +Info 2019-09-16 2021-07-21
5.0
None Remote Low Not required Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 12.2 through 12.2.1. The project import API could be used to bypass project visibility restrictions.
389 CVE-2019-15731 918 2019-09-16 2020-08-24
5.0
None Remote Low Not required None Partial None
An issue was discovered in GitLab Community and Enterprise Edition 12.0 through 12.2.1. Non-members were able to comment on merge requests despite the repository being set to allow only project members to do so.
390 CVE-2019-15730 918 Bypass 2019-09-16 2019-09-18
5.0
None Remote Low Not required None Partial None
An issue was discovered in GitLab Community and Enterprise Edition 8.14 through 12.2.1. The Jira integration contains a SSRF vulnerability as a result of a bypass of the current protection mechanisms against this type of attack, which would allow sending requests to any resources accessible in the local network by the GitLab server.
391 CVE-2019-15729 200 +Info 2019-09-17 2021-07-21
5.0
None Remote Low Not required Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 8.18 through 12.2.1. An internal endpoint unintentionally disclosed information about the last pipeline that ran for a merge request.
392 CVE-2019-15728 918 2019-09-16 2019-09-18
5.0
None Remote Low Not required None Partial None
An issue was discovered in GitLab Community and Enterprise Edition 10.1 through 12.2.1. Protections against SSRF attacks on the Kubernetes integration are insufficient, which could have allowed an attacker to request any local network resource accessible from the GitLab server.
393 CVE-2019-15727 200 +Info 2019-09-16 2019-09-18
5.0
None Remote Low Not required Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 11.2 through 12.2.1. Insufficient permission checks were being applied when displaying CI results, potentially exposing some CI metrics data to unauthorized users.
394 CVE-2019-15726 200 +Info 2019-09-16 2021-07-21
5.0
None Remote Low Not required Partial None None
An issue was discovered in GitLab Community and Enterprise Edition through 12.2.1. Embedded images and media files in markdown could be pointed to an arbitrary server, which would reveal the IP address of clients requesting the file from that server.
395 CVE-2019-15725 639 2019-09-16 2020-08-24
5.0
None Remote Low Not required Partial None None
An issue was discovered in GitLab Community and Enterprise Edition 12.0 through 12.2.1. An IDOR in the epic notes API that could result in disclosure of private milestones, labels, and other information.
396 CVE-2019-15724 79 XSS 2019-09-16 2020-08-24
4.3
None Remote Medium Not required None Partial None
An issue was discovered in GitLab Community and Enterprise Edition 11.10 through 12.2.1. Label descriptions are vulnerable to HTML injection.
397 CVE-2019-15723 862 Bypass 2019-09-16 2020-08-24
5.0
None Remote Low Not required None Partial None
An issue was discovered in GitLab Community and Enterprise Edition 11.9.x and 11.10.x before 11.10.1. Merge requests created by email could be used to bypass push rules in certain situations.
398 CVE-2019-15722 770 2019-09-16 2020-08-24
5.0
None Remote Low Not required None None Partial
An issue was discovered in GitLab Community and Enterprise Edition 8.15 through 12.2.1. Particular mathematical expressions in GitLab Markdown can exhaust client resources.
399 CVE-2019-15721 732 2019-09-16 2019-09-17
5.5
None Remote Low ??? Partial Partial None
An issue was discovered in GitLab Community and Enterprise Edition 10.8 through 12.2.1. An internal endpoint unintentionally allowed group maintainers to view and edit group runner settings.
400 CVE-2019-15594 2020-02-14 2021-09-14
4.0
None Remote Low ??? Partial None None
GitLab 11.8 and later contains a security vulnerability that allows a user to obtain details of restricted pipelines via the merge request endpoint.
Total number of vulnerabilities : 599   Page : 1 2 3 4 5 6 7 8 (This Page)9 10 11 12
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.